import java.util.*;
import ORG.hd.d.par.*;

public class PTMain1
    {
    /**The args are the task durations in milliseconds.
     *
     * Try running as:
     * <pre>
     *     setenv CLASSPATH ParTasks.jar:.
     *     java PTMain1 3000 10000 1000 4000 100 5000 5500 1000
     * </pre>
     */
    public static void main(String args[])
        {
        final Vector jobs = new Vector(args.length);
        for(int i = 0; i < args.length; ++i)
            {
            jobs.addElement(new Work(Integer.parseInt(args[i], 10)));
            }

        System.out.println("Starting...");

        final long startTime = System.currentTimeMillis();

        // MODIFY/REPLACE THIS LOOP WITH ParTasks CODE.
        for(int i = 0; i < jobs.size(); ++i)
            {
            ((Work) (jobs.elementAt(i))).doWork();
            }

        final long endTime = System.currentTimeMillis();

        System.out.println("Finished: total time " + (endTime - startTime) + "ms.");
        }
    }
